# Class CIM_RequireCredentialsFrom
extends CIM_Dependency

CIM_RequireCredentialsFrom is an association used to require that credentials are issued by particular CredentialManagement Services in order to authenticate a user. This association is deprecated in lieu of explicit declaration of the AuthenticationConditions in an AuthenticationRule. Instances of AuthenticationCondition describe the specific combinations of credentials (or alternative credentials) that are required to authenticate an Identity. This allows a more explicit and flexible description of authentication requirements.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_RequireCredentialsFrom

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Deprecated | string | CIM_AuthenticationCondition, CIM_AuthenticationRule

Description

string

CIM_RequireCredentialsFrom is an association used to require that credentials are issued by particular CredentialManagement Services in order to authenticate a user. This association is deprecated in lieu of explicit declaration of the AuthenticationConditions in an AuthenticationRule. Instances of AuthenticationCondition describe the specific combinations of credentials (or alternative credentials) that are required to authenticate an Identity. This allows a more explicit and flexible description of authentication requirements.

UMLPackagePath | string | CIM::User::AuthenticationReqmt
Version | string | 2.8.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_RequireCredentialsFrom | CIM_CredentialManagementService
Dependent | CIM_RequireCredentialsFrom | CIM_AuthenticationRequirement

## Class Methods